/**
 * test/demos/folge.c
 * Copyright (C) 2008 Markus Broeker
 */

#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main (int argc, char **argv)
{
    int N;

    if (argc != 2) {
        printf ("Usage: %s <value>\n", argv[0]);
        return EXIT_FAILURE;
    }

    for (N = 1; N <= atoi (argv[1]) + 1; N++)
        printf ("[2^%d]: %.1f\n", N - 1, pow (2, N - 1));

    return EXIT_SUCCESS;
}
